<script lang="ts">
    import Dialog, { Content, Header, Title } from "@smui/dialog";
    import IconButton from "@smui/icon-button";
    import DetailedView from "./DetailedView/DetailedView.svelte";
    import type { Repository } from "$lib/types/githubResults.type";
    import OrkgAuthentication from "./DetailedView/orkg/OrkgAuthentication.svelte";
  import { writable, type Writable } from "svelte/store";
  import { orkgApiVersion } from "$lib/stores/authTokens.store";

    export let open: boolean;
    export let result: Repository;

    let authDialogOpen: Writable<boolean> = writable(false);
</script>

<Dialog bind:open fullscreen>
    <Header>
        <Title></Title>
        <IconButton action="close" class="material-icons">close</IconButton>
    </Header>
    <Content>
        <DetailedView
            currentResult={result}
            bind:orkgAuthenticationDialogOpen={authDialogOpen}
        />
    </Content>

    <Dialog bind:open={$authDialogOpen} slot="over">
        <Header>
            <Title>{$orkgApiVersion === "normal" ? "ORKG" : "Sandbox"} Login</Title>
        </Header>
        <Content>
            <OrkgAuthentication closeDialog={() => ($authDialogOpen = false)} />
        </Content>
    </Dialog>
</Dialog>
